#include "config.h"


class PcbCamConfigData : public QSharedData
{
public:
    PcbCamConfigData() { }
    PcbCamConfigData(const PcbCamConfigData &other): QSharedData(other),
        gzipCmd(other.gzipCmd),
        tarCmd(other.tarCmd){ }

    ~PcbCamConfigData() { }

    QString gzipCmd {"gzip"};
    QString tarCmd {"tar"};

};

PcbCamConfig::PcbCamConfig() : d(new PcbCamConfigData)
{

}

PcbCamConfig::PcbCamConfig(const PcbCamConfig &rhs) : d(rhs.d)
{

}

PcbCamConfig &PcbCamConfig::operator=(const PcbCamConfig &rhs)
{
    if (this != &rhs)
        d.operator=(rhs.d);
    return *this;
}

PcbCamConfig::~PcbCamConfig()
{

}

QString PcbCamConfig::gzipCmd() const
{
    return d->gzipCmd;
}

void PcbCamConfig::setGzipCmd(const QString &iCmd)
{
    d->gzipCmd = iCmd;
}

QString PcbCamConfig::tarCmd() const
{
    return d->tarCmd;
}

void PcbCamConfig::setTarCmd(const QString &iCmd)
{
    d->tarCmd = iCmd;
}

